Bug 1024873 - unstable process model view
unstable process model view
Status: ASSIGNED
Product: JBoss BPMS Platform 6
Classification: JBoss
Component: Business Central (Show other bugs)
6.0.0
All All
low Severity medium
: ---
: ---
Assigned To: Tihomir Surdilovic
Tomas Livora
:
Depends On: 953875
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-30 10:22 EDT by Prakash Aradhya
Modified: 2016-01-08 16:46 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
zoom in/out buttons in designer nav (21.12 KB, image/png)
2013-11-01 16:51 EDT, Tihomir Surdilovic
no flags Details

  None (edit)
Description Prakash Aradhya 2013-10-30 10:22:38 EDT
Description of problem:
I think I know how to reproduce it now.
- Open the process instance list.  Click on process details.  Now, clime on process model from the View.  That opens up the model on the left side.  My process instance is so big, I can’t see that in that small little area I have.
I chose to remove the process details window by clicking on the ‘X’… Now,… boom, I see all the below exceptions and the view disappears.  It looks like it is trying to reload the designer in the resided window…

Another thing is, there is no way to zoom in or zoom out in the process instance view here.  When models are quite big, if I trying to zoom out to see more of the diagram it is not possible.  I know in the original designer you have that.
At least you guys should consider an option to save that view into PDF… that helps users to review off-line.   It is ugly.. but some work around is relieving.

On Oct 29, 2013, at 3:51 PM, Prakash Aradhya <paradhya@redhat.com> wrote:

Guys,
I don’t know who owns this and if you have a ticket open for this.  It is getting really annoying that I can’t consistently see the process model view when I open it form jBPM console…
Most of the times it fails… works once in a while.. I get the following error…Do you know this issue ?

15:47:32,045 INFO  [org.jbpm.designer.server.EditorHandler] (http-/127.0.0.1:8080-1) Performing diagram information pre-processing steps. 
15:47:32,051 ERROR [org.jbpm.designer.web.preprocessing.impl.JbpmPreprocessingUnit] (http-/127.0.0.1:8080-1) Failed to setup workitems : Repository with alias dummy not found
15:47:37,155 INFO  [org.jbpm.designer.web.server.DictionaryServlet] (http-/127.0.0.1:8080-1) Unable to find existing dictionary information.
15:47:59,834 INFO  [org.jbpm.designer.server.EditorHandler] (http-/127.0.0.1:8080-2) Performing diagram information pre-processing steps. 
15:47:59,857 ERROR [org.jbpm.designer.web.preprocessing.impl.JbpmPreprocessingUnit] (http-/127.0.0.1:8080-2) Failed to setup workitems : Repository with alias dummy not found
15:48:00,314 ERROR [org.apache.catalina.core.ContainerBase.[jboss.web].[default-host].[/business-central].[UUIDBasedRepositoryServlet]] (http-/127.0.0.1:8080-2) JBWEB000236: Servlet.service() for servlet UUIDBasedRepositoryServlet threw exception: javax.enterprise.event.ObserverException
	at sun.reflect.NativeConstructorAccessorImpl.newInstance0(Native Method) [classes.jar:1.6.0_65]
	at sun.reflect.NativeConstructorAccessorImpl.newInstance(NativeConstructorAccessorImpl.java:39) [classes.jar:1.6.0_65]
	at sun.reflect.DelegatingConstructorAccessorImpl.newInstance(DelegatingConstructorAccessorImpl.java:27) [classes.jar:1.6.0_65]
	at java.lang.reflect.Constructor.newInstance(Constructor.java:513) [classes.jar:1.6.0_65]
	at java.lang.Class.newInstance0(Class.java:357) [classes.jar:1.6.0_65]
	at java.lang.Class.newInstance(Class.java:310) [classes.jar:1.6.0_65]
	at org.jboss.weld.util.reflection.SecureReflections$16.work(SecureReflections.java:344) [weld-core-1.1.13.Final-redhat-1.jar:1.1.13.Final-redhat-1]
	at org.jboss.weld.util.reflection.SecureReflectionAccess.run(SecureReflectionAccess.java:52) [weld-core-1.1.13.Final-redhat-1.jar:1.1.13.Final-redhat-1]
	at org.jboss.weld.util.reflection.SecureReflectionAccess.runAsInstantiation(SecureReflectionAccess.java:173) [weld-core-1.1.13.Final-redhat-1.jar:1.1.13.Final-redhat-1]
	at org.jboss.weld.util.reflection.SecureReflections.newInstance(SecureReflections.java:341) [weld-core-1.1.13.Final-redhat-1.jar:1.1.13.Final-redhat-1]
	at org.jboss.weld.injection.Exceptions.rethrowException(Exceptions.java:33) [weld-core-1.1.13.Final-redhat-1.jar:1.1.13.Final-redhat-1]
	at org.jboss.weld.injection.Exceptions.rethrowException(Exceptions.java:73) [weld-core-1.1.13.Final-redhat-1.jar:1.1.13.Final-redhat-1]
	at org.jboss.weld.injection.MethodInjectionPoint.invokeOnInstanceWithSpecialValue(MethodInjectionPoint.java:162) [weld-core-1.1.13.Final-redhat-1.jar:1.1.13.Final-redhat-1]
	at org.jboss.weld.event.ObserverMethodImpl.sendEvent(ObserverMethodImpl.java:245) [weld-core-1.1.13.Final-redhat-1.jar:1.1.13.Final-redhat-1]
	at org.jboss.weld.event.ObserverMethodImpl.sendEvent(ObserverMethodImpl.java:233) [weld-core-1.1.13.Final-redhat-1.jar:1.1.13.Final-redhat-1]
	at org.jboss.weld.event.ObserverMethodImpl.notify(ObserverMethodImpl.java:213) [weld-core-1.1.13.Final-redhat-1.jar:1.1.13.Final-redhat-1]
	at org.jboss.weld.event.ObserverNotifier.notifyObserver(ObserverNotifier.java:117) [weld-core-1.1.13.Final-redhat-1.jar:1.1.13.Final-redhat-1]
	at org.jboss.weld.event.TransactionalObserverNotifier.notifyObserver(TransactionalObserverNotifier.java:44) [weld-core-1.1.13.Final-redhat-1.jar:1.1.13.Final-redhat-1]
	at org.jboss.weld.event.ObserverNotifier.notifyObservers(ObserverNotifier.java:85) [weld-core-1.1.13.Final-redhat-1.jar:1.1.13.Final-redhat-1]
	at org.jboss.weld.event.ObserverNotifier.fireEvent(ObserverNotifier.java:75) [weld-core-1.1.13.Final-redhat-1.jar:1.1.13.Final-redhat-1]
	at org.jboss.weld.event.ObserverNotifier.fireEvent(ObserverNotifier.java:70) [weld-core-1.1.13.Final-redhat-1.jar:1.1.13.Final-redhat-1]
	at org.jboss.weld.manager.BeanManagerImpl.fireEvent(BeanManagerImpl.java:562) [weld-core-1.1.13.Final-redhat-1.jar:1.1.13.Final-redhat-1]
	at org.jboss.solder.servlet.exception.CatchExceptionFilter.doFilter(CatchExceptionFilter.java:74) [solder-impl-3.2.1.Final.jar:3.2.1.Final]
	at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:246) [jbossweb-7.2.0.Final-redhat-1.jar:7.2.0.Final-redhat-1]
	at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:214) [jbossweb-7.2.0.Final-redhat-1.jar:7.2.0.Final-redhat-1]
	at org.jboss.solder.servlet.event.ServletEventBridgeFilter.doFilter(ServletEventBridgeFilter.java:74) [solder-impl-3.2.1.Final.jar:3.2.1.Final]
	at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:246) [jbossweb-7.2.0.Final-redhat-1.jar:7.2.0.Final-redhat-1]
	at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:214) [jbossweb-7.2.0.Final-redhat-1.jar:7.2.0.Final-redhat-1]
	at org.jbpm.designer.web.filter.impl.PluggableFilter.doFilter(PluggableFilter.java:70) [jbpm-designer-backend-6.0.0-redhat-5.jar:6.0.0-redhat-5]
	at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:246) [jbossweb-7.2.0.Final-redhat-1.jar:7.2.0.Final-redhat-1]
	at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:214) [jbossweb-7.2.0.Final-redhat-1.jar:7.2.0.Final-redhat-1]
	at org.apache.catalina.core.StandardWrapperValve.invoke(StandardWrapperValve.java:230) [jbossweb-7.2.0.Final-redhat-1.jar:7.2.0.Final-redhat-1]
	at org.apache.catalina.core.StandardContextValve.invoke(StandardContextValve.java:149) [jbossweb-7.2.0.Final-redhat-1.jar:7.2.0.Final-redhat-1]
	at org.apache.catalina.authenticator.AuthenticatorBase.invoke(AuthenticatorBase.java:389) [jbossweb-7.2.0.Final-redhat-1.jar:7.2.0.Final-redhat-1]
	at org.jboss.as.jpa.interceptor.WebNonTxEmCloserValve.invoke(WebNonTxEmCloserValve.java:50) [jboss-as-jpa-7.2.0.Final-redhat-8.jar:7.2.0.Final-redhat-8]
	at org.jboss.as.jpa.interceptor.WebNonTxEmCloserValve.invoke(WebNonTxEmCloserValve.java:50) [jboss-as-jpa-7.2.0.Final-redhat-8.jar:7.2.0.Final-redhat-8]
	at org.jboss.as.web.security.SecurityContextAssociationValve.invoke(SecurityContextAssociationValve.java:169) [jboss-as-web-7.2.0.Final-redhat-8.jar:7.2.0.Final-redhat-8]
	at org.apache.catalina.core.StandardHostValve.invoke(StandardHostValve.java:145) [jbossweb-7.2.0.Final-redhat-1.jar:7.2.0.Final-redhat-1]
	at org.apache.catalina.valves.ErrorReportValve.invoke(ErrorReportValve.java:97) [jbossweb-7.2.0.Final-redhat-1.jar:7.2.0.Final-redhat-1]
	at org.apache.catalina.authenticator.SingleSignOn.invoke(SingleSignOn.java:408) [jbossweb-7.2.0.Final-redhat-1.jar:7.2.0.Final-redhat-1]
	at org.apache.catalina.core.StandardEngineValve.invoke(StandardEngineValve.java:102) [jbossweb-7.2.0.Final-redhat-1.jar:7.2.0.Final-redhat-1]
	at org.apache.catalina.connector.CoyoteAdapter.service(CoyoteAdapter.java:336) [jbossweb-7.2.0.Final-redhat-1.jar:7.2.0.Final-redhat-1]
	at org.apache.coyote.http11.Http11Processor.process(Http11Processor.java:856) [jbossweb-7.2.0.Final-redhat-1.jar:7.2.0.Final-redhat-1]
	at org.apache.coyote.http11.Http11Protocol$Http11ConnectionHandler.process(Http11Protocol.java:653) [jbossweb-7.2.0.Final-redhat-1.jar:7.2.0.Final-redhat-1]
	at org.apache.tomcat.util.net.JIoEndpoint$Worker.run(JIoEndpoint.java:920) [jbossweb-7.2.0.Final-redhat-1.jar:7.2.0.Final-redhat-1]
	at java.lang.Thread.run(Thread.java:695) [classes.jar:1.6.0_65]
Caused by: javax.servlet.ServletException: Exception loading process: Repository with alias dummy not found
	at org.jbpm.designer.web.server.UUIDBasedRepositoryServlet.doGet(UUIDBasedRepositoryServlet.java:128) [jbpm-designer-backend-6.0.0-redhat-5.jar:6.0.0-redhat-5]
	at javax.servlet.http.HttpServlet.service(HttpServlet.java:734) [jboss-servlet-api_3.0_spec-1.0.2.Final-redhat-1.jar:1.0.2.Final-redhat-1]
	at javax.servlet.http.HttpServlet.service(HttpServlet.java:847) [jboss-servlet-api_3.0_spec-1.0.2.Final-redhat-1.jar:1.0.2.Final-redhat-1]
	at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:295) [jbossweb-7.2.0.Final-redhat-1.jar:7.2.0.Final-redhat-1]
	at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:214) [jbossweb-7.2.0.Final-redhat-1.jar:7.2.0.Final-redhat-1]
	at org.jboss.solder.servlet.exception.CatchExceptionFilter.doFilter(CatchExceptionFilter.java:65) [solder-impl-3.2.1.Final.jar:3.2.1.Final]
	... 23 more
Caused by: java.lang.IllegalStateException: Repository with alias dummy not found
	at org.jbpm.designer.repository.vfs.RepositoryDescriptorProvider.getRepositoryDescriptor(RepositoryDescriptorProvider.java:66) [jbpm-designer-backend-6.0.0-redhat-5.jar:6.0.0-redhat-5]
	at org.jbpm.designer.repository.vfs.RepositoryDescriptorProvider$Proxy$_$$_WeldClientProxy.getRepositoryDescriptor(RepositoryDescriptorProvider$Proxy$_$$_WeldClientProxy.java) [jbpm-designer-backend-6.0.0-redhat-5.jar:6.0.0-redhat-5]
	at org.jbpm.designer.repository.vfs.RepositoryDescriptor.configure(RepositoryDescriptor.java:112) [jbpm-designer-backend-6.0.0-redhat-5.jar:6.0.0-redhat-5]
	at org.jbpm.designer.repository.vfs.RepositoryDescriptor.getFileSystem(RepositoryDescriptor.java:80) [jbpm-designer-backend-6.0.0-redhat-5.jar:6.0.0-redhat-5]
	at org.jbpm.designer.repository.vfs.RepositoryDescriptor$Proxy$_$$_WeldClientProxy.getFileSystem(RepositoryDescriptor$Proxy$_$$_WeldClientProxy.java) [jbpm-designer-backend-6.0.0-redhat-5.jar:6.0.0-redhat-5]
	at org.jbpm.designer.repository.vfs.VFSRepository.getFileSystem(VFSRepository.java:513) [jbpm-designer-backend-6.0.0-redhat-5.jar:6.0.0-redhat-5]
	at org.jbpm.designer.repository.vfs.VFSRepository.loadAsset(VFSRepository.java:294) [jbpm-designer-backend-6.0.0-redhat-5.jar:6.0.0-redhat-5]
	at org.jbpm.designer.repository.vfs.VFSRepository$Proxy$_$$_WeldClientProxy.loadAsset(VFSRepository$Proxy$_$$_WeldClientProxy.java) [jbpm-designer-backend-6.0.0-redhat-5.jar:6.0.0-redhat-5]
	at org.jbpm.designer.web.repository.impl.UUIDBasedJbpmRepository.load(UUIDBasedJbpmRepository.java:32) [jbpm-designer-backend-6.0.0-redhat-5.jar:6.0.0-redhat-5]
	at org.jbpm.designer.web.server.UUIDBasedRepositoryServlet.doGet(UUIDBasedRepositoryServlet.java:125) [jbpm-designer-backend-6.0.0-redhat-5.jar:6.0.0-redhat-5]
	... 28 more





Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:
Comment 2 Tihomir Surdilovic 2013-10-30 11:35:29 EDT
What version should we test with to try to reproduce? 

About zooming - there are till the zoom-in/out buttons on the right side of the designer navbar. That was never removed.
Comment 3 Prakash Aradhya 2013-10-30 11:57:29 EDT
Tiho, I sent this in email yesterday.  I am using ER4.

Note, this is not an issue I am talking about while using the designer directly.
This is when I used the jBPM Console to view the process model of a running instance.
I dont see any toolbar in the model.
Comment 4 Tihomir Surdilovic 2013-11-01 16:50:30 EDT
attached are images that show the zoom in/out buttons in the designer navbar, if your browser window is small, you might have to click the > button on the far right to see more buttons of the navbar.
Comment 5 Tihomir Surdilovic 2013-11-01 16:51:37 EDT
Created attachment 818473 [details]
zoom in/out buttons in designer nav
Comment 6 Tihomir Surdilovic 2013-11-26 13:11:20 EST
Can this issue still be reproduced on your end? I have not been able to yet.

Thanks.
Comment 7 Kris Verlaenen 2014-01-09 15:23:31 EST
Issue this one depended on already verified.
Comment 8 Tomas Livora 2014-01-24 05:15:42 EST
From the user's point of view all issues are fixed in CR1. A new panel with the zoom buttons has been added. Also when you close the details panel, the model view is closed and the process instances list is shown. However, the exception is still present. As this does not seem to break any funcionality I am lowering the severity.

Note You need to log in before you can comment on or make changes to this bug.